<html>
<head>
  <meta http-equiv="cache-control" content="no-cache" />
<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}
</style>

</head>
<body>
<h1><img src="/img/rhn-icon-api.gif" alt="application program interface" /><a href="/rhn/apidoc/scripts.jsp">Sample Scripts</a></h1>
<h2>Sample Scripts</h2>
<h3>Perl example:</h3><BR>
This Perl example shows the system.listUserSystems call being used to get a list of systems a user has access to.  In the example below, the name of each system will be printed.
The Frontier::Client Perl module can be found in the "perl-Frontier-RPC" rpm contained in the newest Satellite channel on http://rhn.redhat.com.
<p />

<code>
#!/usr/bin/perl<br/>
use Frontier::Client;<br />
<br />
my $HOST = 'satellite.example.com';<br />
my $user = 'username';<br />
my $pass = 'password';<br />
<br />
my $client = new Frontier::Client(url => "http://$HOST/rpc/api");<br />
my $session = $client->call('auth.login',$user, $pass);<br />
<br />
my $systems = $client->call('system.listUserSystems', $session);<br />
foreach my $system (@$systems) {<br />
&nbsp;&nbsp;&nbsp;print $system->{'name'}."\n";<br />
}<br />
$client->call('auth.logout', $session);</br>
</code>
<hr />
<p />
<h3>Python example:</h3><br />
Below is an example of the user.listAdministeredSystemGroups call being used.  Only the name of each group is printed. 
<p />

<code>
#!/usr/bin/env python<br />
import xmlrpclib<br />
<br />
SATELLITE_URL = "http://satellite.example.com/rpc/api"<br />
SATELLITE_LOGIN = "username"<br />
SATELLITE_PASSWORD = "password"<br />
<br />
client = xmlrpclib.Server(SATELLITE_URL, verbose=0)<br />
<br />
key = client.auth.login(SATELLITE_LOGIN, SATELLITE_PASSWORD)<br />
list = client.user.list_administered_system_groups(key, 'admin')<br />
for group in list:<br />
&nbsp;&nbsp;&nbsp;print group.get('name')<br />
<br />
client.auth.logout(key)<br />
</code>
<hr />

For more examples visit the <a href="http://rhn-satellite.108.redhat.com">RHN Satellite community page</a>.

<p />
</body><p />
</html><p />
